> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-commit.md).

# COMMIT

### COMMIT

COMMIT — commit the current transaction

### Synopsis

```

COMMIT [ WORK | TRANSACTION ] [ AND [ NO ] CHAIN ]
```

### Description

`COMMIT` commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs.

### Parameters

`WORK`\
`TRANSACTION` [#](#SQL-COMMIT-TRANSACTION) : Optional key words. They have no effect.

`AND CHAIN` [#](#SQL-COMMIT-CHAIN) : If `AND CHAIN` is specified, a new transaction is immediately started with the same transaction characteristics (see [SET TRANSACTION](/reference/sql-commands/sql-set-transaction.md)) as the just finished one. Otherwise, no new transaction is started.

### Notes

Use [ROLLBACK](/reference/sql-commands/sql-rollback.md) to abort a transaction.

Issuing `COMMIT` when not inside a transaction does no harm, but it will provoke a warning message. `COMMIT AND CHAIN` when not inside a transaction is an error.

### Examples

To commit the current transaction and make all changes permanent:

```

COMMIT;
```

### Compatibility

The command `COMMIT` conforms to the SQL standard. The form `COMMIT TRANSACTION` is a PostgreSQL extension.

### See Also

[BEGIN](/reference/sql-commands/sql-begin.md), [ROLLBACK](/reference/sql-commands/sql-rollback.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-commit.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-commit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
